Package io.dapr.v1

# Interface DaprProtos.PublishEventRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.PublishEventRequest`, `DaprProtos.PublishEventRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.PublishEventRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `com.google.protobuf.ByteString` | `getData()` | The data which will be published to topic.
  `java.lang.String` | `getPubsubName()` | The name of the pubsub component
  `com.google.protobuf.ByteString` | `getPubsubNameBytes()` | The name of the pubsub component
  `java.lang.String` | `getTopic()` | The pubsub topic
  `com.google.protobuf.ByteString` | `getTopicBytes()` | The pubsub topic

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getPubsubName

    java.lang.String getPubsubName()

         The name of the pubsub component

    `string pubsub_name = 1;`
    Returns:
      The pubsubName.

  - ### getPubsubNameBytes

    com.google.protobuf.ByteString getPubsubNameBytes()

         The name of the pubsub component

    `string pubsub_name = 1;`
    Returns:
      The bytes for pubsubName.

  - ### getTopic

    java.lang.String getTopic()

         The pubsub topic

    `string topic = 2;`
    Returns:
      The topic.

  - ### getTopicBytes

    com.google.protobuf.ByteString getTopicBytes()

         The pubsub topic

    `string topic = 2;`
    Returns:
      The bytes for topic.

  - ### getData

    com.google.protobuf.ByteString getData()

         The data which will be published to topic.

    `bytes data = 3;`
    Returns:
      The data.